Bug 1577192 - [RFE] Use custom SSL certificates for Red Hat repositories
Summary: [RFE] Use custom SSL certificates for Red Hat repositories
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 12:38 UTC by Jiri Vavra
Modified: 2019-11-06 06:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 14:01:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Vavra 2018-05-11 12:38:37 UTC
Description of problem:
Satellite is not able to connect to CDN via HTTP proxy which scans content (which changes SSL certificates)
Similar to RFE https://bugzilla.redhat.com/show_bug.cgi?id=1408815 but this is to include Red Hat repositories.
This functionality was included in Satellite 5


Version-Release number of selected component (if applicable):
Satellite 6.3


Additional info (by customer):

- Satellite 6 uses Pulp to sync repositories.
- In our case (and probably more enterprises) Pulp must communicate with repositories on the Internet through a HTTP-proxy.
- The HTTP-proxy operates as a MITM to do content scanning of HTTPS-websites.
- Therefor Pulp sees the SSL-certificate of the HTTP-proxy instead of the SSL-cert of the remote website.
- For some reason Pulp is only configured to use its own directory (/etc/pki/pulp/content)  for known SSL-certs.
- Setting 'global_cert_location' to '/etc/pki/tls/certs' makes Pulp also use the system-wide SSL-certs as expected.

Comment 2 Rich Jerrido 2018-12-14 16:33:38 UTC
Is there any reason why dont just add the CA certificate of the MITM device to /etc/pki/ca-trust/source/anchors/ and run update-ca-trust afterwards? That's the standard way to add a 3rd party CA to the systemwide store - see https://access.redhat.com/solutions/1519813

Comment 3 Gerben Welter 2018-12-26 12:34:40 UTC
(In reply to Rich Jerrido from comment #2)
> Is there any reason why dont just add the CA certificate of the MITM device
> to /etc/pki/ca-trust/source/anchors/ and run update-ca-trust afterwards?
> That's the standard way to add a 3rd party CA to the systemwide store - see
> https://access.redhat.com/solutions/1519813

We have added the MITM CA-cert in the way you describe but the Pulp configuration coming with Satellite isn't configured to use the systemwide store. That's why we changed the global_cert_location.

Comment 5 David Davis 2019-10-31 12:45:31 UTC
Looking at the Pulp 2 code it doesn't appear Pulp looks at the systemwide cert store when syncing repos. I think the solution would be to have Katello allow users to set certs for RH repos like they do for custom repos:

https://github.com/Katello/katello/commit/2934f376473e341ffbb10ac1ffd42efb8c5bdab8

Comment 7 Bryan Kearney 2019-11-04 14:01:07 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.